V1 Update Saved Prompt#
Update a specific saved prompt by its ID. V1 agents only.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
prompt_idstringpathrequired
prompt id
prompt_namestringbody
max 255. send only when changing this field
prompt_modestringbody
One of: single, sectioned. send only when changing this field
general_promptstringbody
send only when changing this field
prompt_greetingsstringbody
may be null
prompt_characterstringbody
may be null
prompt_critical_instrstringbody
may be null
prompt_transfer_instrstringbody
may be null
prompt_custom_varsstringbody
may be null
prompt_company_infostringbody
may be null
prompt_script_flowstringbody
may be null
prompt_call_flowstringbody
may be null
prompt_objectionsstringbody
may be null
prompt_appt_flowstringbody
may be null
prompt_faq_basestringbody
may be null
curl --request PATCH \
--url https://app.rizzdial.com/api/ai/agent/v1/prompt/update/agent_123 \
--header 'Authorization: Bearer {{bearer_token}}' \
--header 'Content-Type: application/json' \
--data '{"prompt_name":"value","prompt_mode":"single","general_prompt":"value","prompt_greetings":"value","prompt_character":"value","prompt_critical_instr":"value","prompt_transfer_instr":"value","prompt_custom_vars":"value","prompt_company_info":"value","prompt_script_flow":"value","prompt_call_flow":"value","prompt_objections":"value","prompt_appt_flow":"value","prompt_faq_base":"value"}'successboolean
true when the call succeeds. Some list responses use status: success instead
dataobject
The saved record, or the list of records